/*===========================================================================*/
/* Title   : main.c                                                          */
/* Version : V1.00                                                           */
/*===========================================================================*/
/* Copyright(c) 2010-2013 Renesas Electronics Corporation                    */
/*===========================================================================*/
/* Environment:                                                              */
/*              Device:          RL78/F14                                    */
/*              IDE:             CubeSuite+   V2.00.00a                      */
/*===========================================================================*/

#pragma  SFR
#pragma  DI
#pragma  EI
#pragma  NOP

#include "ICS_define.h"
#include "ICS_RL78F14.h"

/*********** KEEP DTC TABLE AREA ***********/
#pragma section @@DATA  @@DTCTBL at 0xFDF00
char  dtc_tbl[256];
#pragma section @@DATA  @@DATA

int a = 0;
int b = 0;
int c = 0;
signed char d = 0;

void  main(void)
{
    int i;

    DI();

    /*-- Internal oscillator 32MHz --------------------------------*/
    CMC   = 0x00;   /* default 0x00                                */
    CKC   = 0x00;   /* default 0x00  Hispeed internal clock        */
    OSTS  = 0x07;   /* default 0x07                                */
    CSC   = 0xC0;   /* default 0xC0 X1 stop, XT1 stop, intOSC work */

    OSMC = 0x10;
    for(i=1; i<=100; i++)     /* Need 10us : 1/fx=125ns(8MHz)x100=12.5us */
    {  NOP(); }

    while(MCS == 1) { }       /* wait for clock changed */

    #ifdef ICS_SCI0
    ics_init(0xDF00, ICS_SCI0_P62_P61, 2, 0x40);
    #endif

    #ifdef ICS_SCI1
    ics_init(0xDF00, ICS_SCI1_P74_P75, 2, 0x40);
//  ics_init(0xDF00, ICS_SCI1_P12_P11, 2, 0x40);
    #endif

    EI();

    while (1)
    {
        int i;

        a = a + 1;
        if (a>200) { a = -200; }
        b = -a;
        c = a + a;
        d = (signed char)(a>>1);

        ics_watchpoint();
        for(i=0;i<1000;i++) { NOP(); }
    }
}


